/* This do file produces the main Tables in the paper. */
/* PROBLEM : table 8, col 5, 6 baseline mean not the same */

	clear 
	clear matrix
	set more off
		
	//USER MUST UPDATE THE PATH BELOW
	cd "/Users/niharikasingh/Dropbox/Niha Backup/RC Paper/_AER Publication Materials/Data Files/Out"
	
	* Run necessary programs 
	run "../Do/aer_programs.do"
	
	****************************************************************************
	* Table 1 - Summary Stats *
	****************************************************************************

		* Panel A and B (Village and School level) 
		
			use "../Data/aer_data_school.dta", clear 

				clear matrix
				mat table = J(18, 6,.)

				* Village level 
					replace mauza_penrolled = mauza_penrolled * 100
					
					local vars mauza_wealth mauza_numhh mauza_literacy mauza_penrolled mauza_penrolled_boys ///
								mauza_penrolled_girls mauza_schoolherf 
					local row = 1			
					foreach x of local vars {	
						qui sum `x' if mtag == 1,d  
						mat table[`row',1]=r(mean)
						mat table[`row',2]=r(p25)
						mat table[`row',3]=r(p50)
						mat table[`row',4]=r(p75)
						mat table[`row',5]=r(sd)
						mat table[`row',6]=r(N)
						
						local row = `row'+1
					}

				* School level
				
					* Public schools
					local vars S_avg_theta1 school_size1 S_c15_enroll1 S_c3_enroll1 ST_gmatric_perc1 
					foreach x of local vars {
						qui sum `x' if school_type1==1, d
						mat table[`row',1]=r(mean)
						mat table[`row',2]=r(p25)
						mat table[`row',3]=r(p50)
						mat table[`row',4]=r(p75)
						mat table[`row',5]=r(sd)
						mat table[`row',6]=r(N)
						
						local row = `row'+1
					}
					
					* Private schools 
					local vars S_fee3_comb1 S_avg_theta1 school_size1 S_c15_enroll1 S_c3_enroll1 ST_gmatric_perc1 
					foreach x of local vars {
						qui sum `x' if school_type1==3, d
						mat table[`row',1]=r(mean)
						mat table[`row',2]=r(p25)
						mat table[`row',3]=r(p50)
						mat table[`row',4]=r(p75)
						mat table[`row',5]=r(sd)
						mat table[`row',6]=r(N)
						
						local row = `row'+1
					}
				
			xml_tab table, save("Table1.xml") replace sheet(Table1_PanelAandB) ///
				showeq  ///
				cnames("Mean" "25th pctl" "Median" "75th pctl" "Standard Deviation" "N") ///
				rnames("Village Wealth (Median Monthly Expenditure- Rupees)" "Number of Households in Village" ///
					"Percent of Adults (>24) Literate in Village" "Village enrollment % (All)" ///
					"Village enrollment % (Boys)" "Village enrollment % (Girls)" ///
					"Herfindahl Index of Schools in Village" ///
					"School Average Test Score" "Number of Students Enrolled at School (All grades)"  ///
					"Number of Students Enrolled at School (Grades 1-5)" "Grade 3 Enrollment at Baseline (Number)" ///
					"Percent of Teachers with More than a Secondary Education" ///
					"School Fees (Rupees per year)" "School Average Test Score" ///
					"Number of Students Enrolled at School (All grades)"  ///
					"Number of Students Enrolled at School (Grades 1-5)" "Grade 3 Enrollment at Baseline (Number)" ///
					"Percent of Teachers with More than a Secondary Education") ///
				rblanks(0 "Panel A: Village level" SCLB0, 7 "Panel B: School level" SCLB0, ///
					7 "Public Schools" SCLB0, 12 "Private Schools" SCLB0) ///
				format(S1100 N2203 N2203 N2203 N2203 N2203 N2200)
				
									
		* Panel C - Child Data and Perceptions

			* Child variables
			use "../Data/aer_data_child.dta", clear

				local vars child_avg_theta1 child_female child_age1 ///
						time_in_school1 time_school1 expa1 ///
						nonfee2_spend1  parent_time1 
					
					mat tab = J(8,6,.)
					local row = 1 
					foreach x of local vars {
						
						qui sum `x' if child_enrolled1 ==  1, d
						mat tab[`row',1]=r(mean)
						mat tab[`row',2]=r(p25)
						mat tab[`row',3]=r(p50)
						mat tab[`row',4]=r(p75)
						mat tab[`row',5]=r(sd)
						mat tab[`row',6]=r(N)
						
						local row = `row'+1
						
					}
				
			xml_tab tab, save("Table1.xml") append sheet(Table1_PanelC) ///
				showeq  ///
				cnames("Mean" "25th pctl" "Median" "75th pctl" "Standard Deviation" "N") ///
				rnames("Child Average Test Score" "Female Child" "Child Age" ///
					"Child Time in School or School Prep (minutes per day)" ///
					"Child's Time Spent on School Work, not in school (minutes per day)" ///
					"Parents' Spending on School Fees" ///
					"Parents' Education Spending, other than School Fees (Rupees)" ///
					"Parents' Time Spent Teaching Child (hours per week)") ///
				rblanks(0 "Panel C: Child level" SCLB0) ///
				format(S1100 N2203 N2203 N2203 N2203 N2203 N2200)
							

		* Panel C- Perceptions Variable 
			
			use "../Data/aer_data_perceptions.dta", clear
				
				* merge in school data
				merge m:1 mauzaid schoolid using "../Data/aer_data_school.dta"
				drop if _merge == 2
				
			* School level perceptions
				mat ptable = J(1,6,.)

				local row = 1 
				qui sum perc1_matched_sch if stag_perc == 1,d
				mat ptable[`row',1]=r(mean)
				mat ptable[`row',2]=r(p25)
				mat ptable[`row',3]=r(p50)
				mat ptable[`row',4]=r(p75)
				mat ptable[`row',5]=r(sd)
				mat ptable[`row',6]=r(N)

			
			xml_tab ptable, save("Table1.xml") append sheet(Table1_PanelC_perc) ///
				showeq  ///
				cnames("Mean" "25th pctl" "Median" "75th pctl" "Standard Deviation" "N") ///
				rnames("Perception of School Quality (Likert scale: 1 to 5)" ) ///
				rblanks(0 "Panel C: Child level " SCLB0) ///
				format(S1100 N2201 N2201 N2201 N2201 N2201 N2200)
		

	****************************************************************************
	* Table 2 - Perceptions *
	****************************************************************************

		use "../Data/aer_data_school.dta", clear

		eststo clear
		
			* Column 1
			eststo: reg S_fee3_comb1 S_avg_theta1 $control i.district if school_type1==3, cluster(mauzaid) 
				qui sum S_fee3_comb1 if school_type1 == 3
				estadd scalar basemean = `r(mean)'
				estadd local control "Village"
			
			* Column 2
			xtset mauzaid
			eststo: xtreg S_fee3_comb1 S_avg_theta1 school_basic_facilities1 ///
				school_extra_facilities1 if school_type1==3, cluster(mauzaid) fe
				qui sum S_fee3_comb1 if school_type1 == 3
				estadd scalar basemean = `r(mean)'
				estadd local control "Village Fixed Effects"

		use "../Data/aer_data_perceptions.dta", clear  
			
			* merge in school data
			merge m:1 mauzaid schoolid using "../Data/aer_data_school.dta"
			drop if _merge == 2
			
			* Column 3		
			eststo,title("Year 1"): reg perc1_matched_sch S_avg_theta1 i.district $control if stag_perc == 1, cluster(mauzaid)
				predict yhat if e(sample)
				qui sum perc1_matched_sch if yhat!=.
				estadd scalar basemean = `r(mean)'
				drop yhat
				estadd local control "Village"

			* Column 4
			eststo,title("Year 2"): reg perc2_matched_sch perc1_matched_sch S_fee3_comb1 reportcard rc_score S_avg_theta1 $control  ///
				i.district if closed1==0 & school_merged_into2==. & stag_perc == 1, robust cluster(mauzaid)
				predict yhat if e(sample)
				qui sum perc1_matched_sch if yhat!=.
				estadd scalar basemean = `r(mean)'
				drop yhat
				estadd local control "Village"

		esttab using Table2.csv, b se nostar mtitles replace ///
			mgroups("Fees (Year 1)" "Perception", pattern(1 0 1 0)) ///
			stats(control N r2 basemean, label("Controls" "Observations" "R-Squared" "Baseline Depvar (mean)") ///
				fmt(%12.0g %12.0g %8.3f %8.3f)) ///
			drop($control _cons *dist*) ///
			coeflabel(S_avg_theta1 "School Score" S_fee3_comb1 "School Fee" ///
				perc1_matched_sch "Baseline Perception" reportcard "Report Card" ///
				rc_score "Repor Card * School Score" school_basic_facilities1 "Basic Infrastructure Index" ///
				school_extra_facilities1 "Extra Infrastructure Index") ///
			order(S_avg_theta1 S_fee3_comb1 perc1_matched_sch reportcard rc_score)


	****************************************************************************
	* Table 3 - Fee and Test Score Responses *
	****************************************************************************
	
		* Fees - School Report (Col 1 and 2)
		use "../Data/aer_data_school.dta", clear

		eststo clear

			* Panel A
			eststo, title("Panel A Basic"): reg M_fee3_comb2 report i.district if mtag_f, robust
			eststo, title("Panel A Weighted by Children"): reg M_fee3_comb2 report i.district if mtag_f [aw=M_num_priv_kids], robust

			* Panel B
			eststo, title("Panel B Basic"): reg M_fee3_comb2 report M_fee3_comb1 i.district if mtag_f, robus
			eststo, title("Panel B Weighted by Children"): reg M_fee3_comb2 report M_fee3_comb1 i.district if mtag_f [aw=M_num_priv_kids], robust

			* Panel C - school report
			eststo, title("Panel C Basic"): reg M_fee3_comb2 report M_fee3_comb1 i.district $control if mtag_f, robust
				qui sum M_fee3_comb1 if mtag_f
				estadd scalar basemean = `r(mean)'

			eststo, title("Panel C Weighted by Children"): reg M_fee3_comb2 report M_fee3_comb1 i.district $control if mtag_f [aw=M_num_priv_kids], robust
				qui sum M_fee3_comb1 if mtag_f [aw=M_num_priv_kids]
				estadd scalar basemean = `r(mean)'
						
		* Fees - HH Report (Col 1 and 2)
		use "../Data/aer_data_child.dta", clear
			
			* Panel A 
			eststo, title("Panel A Basic"): reg M_expa2 reportcard i.district if m_priv_hh_tag, robust

			* Panel B 
			eststo, title("Panel B Basic"): reg M_expa2 reportcard M_expa1 i.district if m_priv_hh_tag, robust

			* Panel C 
			eststo, title("Panel C Basic"): reg M_expa2 reportcard M_expa1 $control i.district if m_priv_hh_tag, robust
				qui sum M_expa1 if  m_priv_hh_tag
				estadd scalar basemean = `r(mean)'
				
		* Test Scores - (Cols 4-6)

			* Panel A
			eststo, title("Panel A Year 2"): reg M_avg_all2 report i.district  if mtag, robust
			eststo, title("Panel A Year 3"): reg M_avg_all3 report i.district if mtag, robust
			eststo, title("Panel A Year 2 (Same Kids)"): reg M_avg_theta2 report i.district if mtag, robust

			* Panel B
			eststo, title("Panel B Year 2"): reg M_avg_all2 report i.district M_avg_all1 if mtag, robust
			eststo, title("Panel B Year 3"): reg M_avg_all3 report i.district M_avg_all1 if mtag, robust
			eststo, title("Panel B Year 2 (Same Kids)"): reg M_avg_theta2 report i.district M_avg_theta1  if mtag, robust

			* Panel C
			eststo, title("Panel C Year 2"): reg M_avg_all2 report i.district $control M_avg_all1 if mtag, robust
				qui sum M_avg_all1 if  mtag
				estadd scalar basemean = `r(mean)'

			eststo, title("Panel C Year 3"): reg M_avg_all3 report i.district $control M_avg_all1 if mtag, robust
				qui sum M_avg_all1 if  mtag
				estadd scalar basemean = `r(mean)'

			eststo, title("Panel C Year 2 (Same Kids)"): reg M_avg_theta2 report i.district M_avg_theta1 $control if mtag, robust
				qui sum M_avg_theta1 if  mtag
				estadd scalar basemean = `r(mean)'

		esttab using Table3.csv, b se nostar mtitles replace ///
			rename( M_fee3_comb1 baseline M_expa1 baseline ///
				M_avg_all1 baseline M_avg_theta1 baseline) ///
			stats(N r2 basemean, label("Observations" "R-Squared" "Baseline Depvar (mean)") fmt(%8.0f %8.3f %8.3f)) ///
			coeflabel(reportcard "Report Card" baseline "Baseline") ///
			drop($control _cons *dist*) ///
			order(reportcard)
				
			/* Note: The baseline mean is only shown for Panel C regressions to save space,
			but these values are the same for Panel A and B regressions. */

					
	****************************************************************************
	* Table 4 - Enrollment Village Responses *
	****************************************************************************

		eststo clear
		
		* Enrollment - school data
		use "../Data/aer_data_school.dta", clear

			eststo, title("Panel A Primary Enrollment Rate"): reg mauza_penrolled2 report i.district if mtag, robust
			eststo, title("Panel B Primary Enrollment Rate"): reg mauza_penrolled2 report i.district mauza_penrolled if mtag, robust
			eststo, title("Panel C Primary Enrollment Rate"): reg mauza_penrolled2 report i.district mauza_penrolled $control if mtag, robust
				qui sum mauza_penrolled if mtag 
				estadd scalar basemean = `r(mean)'
			
		* Enrollment and child movement - child data
		use "../Data/aer_data_child.dta", clear

			* Panel A
			eststo, title("Panel A Switching Rate (Tested Cohort Only)"): reg switch_rate reportcard i.district  if mtag, robust 
			eststo, title("Panel A Dropout Rate (Tested Cohort Only)"): reg drop_rate reportcard i.district   if mtag, robust 
			eststo, title("Panel A Village Average Test Scores No Switchers (Year 2)"): ///
				reg M_avg_noswitch_theta2 report i.district if mtag, robust

			* Panel B
			eststo, title("Panel B Village Average Test Scores No Switchers (Year 2)"): ///
				reg M_avg_noswitch_theta2 report i.district M_avg_noswitch_theta1 if mtag, robust

			* Panel C
			eststo, title("Panel C Switching Rate (Tested Cohort Only)"): reg switch_rate reportcard i.district  $control if mtag, robust 
			eststo, title("Panel C Dropout Rate (Tested Cohort Only)"): reg drop_rate reportcard i.district  $control if mtag, robust 
			eststo, title("Panel C Village Average Test Scores No Switchers (Year 2)"): ///
				reg M_avg_noswitch_theta2 report i.district M_avg_noswitch_theta1 $control if mtag, robust
				qui sum M_avg_noswitch_theta1 if mtag 
				estadd scalar basemean = `r(mean)'
				
		esttab using Table4.csv, b se nostar mtitles replace ///
			rename(mauza_penrolled baseline M_avg_noswitch_theta1 baseline) ///
			coeflabel(reportcard "Report Card" baseline "Baseline") ///
			drop($control _cons *dist*) ///
			stats(N r2 basemean, label("Observations" "R-Squared" "Baseline Depvar (mean)") fmt(%8.0f %8.3f %8.3f)) ///
		
		/* Note: The baseline mean is only shown for Panel C regressions to save space,
		but these values are the same for Panel A and B regressions. */

				
	****************************************************************************
	* Table 5 - Fee Heteogeneity *
	****************************************************************************
	
		* Fees - School report
		use "../Data/aer_data_school.dta", clear
		
			eststo clear
	
			* Column 1 - reshape to panel and run reg
			preserve

				gen rc_S_avg1 = reportcard * S_avg_theta1
				gen rc_S_avg2 = reportcard * S_avg_theta2

				* reshape by duplicating the number of observations, and let post = 1 be an indicator for year 2 
				expand 2, gen(post)
				foreach i in S_lnfee3_comb S_fee3_comb S_avg_theta rc_S_avg S_size {
					  gen `i' = `i'1 if post == 0
					  replace `i' = `i'2 if post == 1
				}

				* limit to private schools 
				keep if school_type1 == 3

				* reg
				eststo, title("Log Fees (Panel Version)"): reg S_lnfee3_comb i.district##post reportcard##c.S_avg_theta##post c.mauza_wealth##post c.mauza_numhh##post c.mauza_literacy##post c.mauza_schoolherf##post, cluster(mauzaid)
				qui sum S_lnfee3_comb if post == 0 
				estadd scalar basemean = `r(mean)'
				estadd local control "Village"
				
			restore
					
			* Column 2
			eststo, title("School Report"): reg S_fee3_comb2 reportcard rc_score S_avg_theta1 ///
				i.district S_fee3_comb1 $control if school_type1 == 3, cluster(mauzaid)
			qui sum S_fee3_comb1 if school_type1 == 3 & S_fee3_comb2!=.
			estadd scalar basemean = `r(mean)'
			estadd local control "Village"
			
			* Column 3
			eststo, title("School Report"): reg S_fee3_comb2 reportcard goodpriv_60 rc_goodpriv_60 ///
				i.district S_fee3_comb1 $control if school_type1 == 3, cluster(mauzaid)
			f_test_60
			qui sum S_fee3_comb1 if school_type1 == 3 & S_fee3_comb2!=.
			estadd scalar basemean = `r(mean)'
			estadd local control "Village"

		* Fees - HH report				
		use "../Data/aer_data_child.dta", clear

			* Column 4
			eststo, title("Household Report"): xi: reg expa2 reportcard goodpriv_60 rc_goodpriv_60 ///
				i.district expa1 $control if school_type1 == 3, cluster(mauzaid)
			f_test_60
			qui sum expa1 if school_type1== 3 
			estadd scalar basemean = `r(mean)'
			estadd local control "Village"
		
		* Table
		esttab using Table5.csv, b se nostar mtitles replace ///
			mgroups("Level Fees (Year 2)", pattern(0 1 0 0)) ///
			rename(S_lnfee3_comb1 baseline S_fee3_comb1 baseline expa1 baseline ///
				1.reportcard reportcard S_avg_theta S_avg_theta1 1.reportcard#c.S_avg_theta rc_score)	///
			coeflabel(reportcard "Report Card (RC)" S_avg_theta1 "School Score (Score)" ///
				rc_score "RC * Score" goodpriv_60 "High Scoring Schl" rc_goodpriv_60 "RC * High Scoring Schl" ///
				baseline "Baseline" 1.post#c.S_avg_theta "Score * Post" 1.reportcard#1.post "RC * Post" ///
				1.reportcard#1.post#c.S_avg_theta "RC * Score * Post" 1.post "Post") ///
			order(reportcard S_avg_theta1 rc_score 1.post#c.S_avg_theta 1.reportcard#1.post#c.S_avg_theta ///
				1.post 1.reportcard#1.post goodpriv_60 rc_goodpriv_60 baseline) ///
			drop(*dist* _cons *mauza_wealth* *mauza_numhh* *mauza_literacy* *mauza_schoolherf* ///
				0.post 0.reportcard 0.reportcard#c.S_avg_theta 0.reportcard#0.post ///
				0.reportcard#1.post 1.reportcard#0.post 0.post#c.S_avg_theta ///
				0.reportcard#0.post#c.S_avg_theta 0.reportcard#1.post#c.S_avg_theta ///
				1.reportcard#0.post#c.S_avg_theta) ///
			stats(control N r2 bad_60_c bad_60_p good_60_c good_60_p basemean, ///
				label("Controls" "Observations" "R-Squared" "Low Scoring Private School" ///
					" " "High Scoring Private School" " " "Baseline Fee (mean)") ///
				layout(@ @ @ @ [@] @ [@] @))


	****************************************************************************
	* Table 6 - Test Score Heterogeneity *
	****************************************************************************

		use "../Data/aer_data_child.dta", clear
	
		eststo clear

			eststo, title("By School Type and Baseline Test Score"): ///
				reg child_avg_theta2 reportcard $interact_type_good_60 ///
					i.district $control child_avg_theta1, cluster(mauzaid)
				f_test1_60	
				qui sum child_avg_theta1 if child_avg_theta2!=. 
				estadd scalar basemean = `r(mean)'
				estadd local control "Village"

		
			eststo, title("Government Schools Combined"): ///
				reg child_avg_theta2 reportcard $interact_4type_60 ///
					i.district $control child_avg_theta1, cluster(mauzaid)
				f_test_60
				qui sum child_avg_theta1 if child_avg_theta2!=. 
				estadd scalar basemean = `r(mean)'
				estadd local control "Village"
			
		esttab using Table6.csv, b se nostar mtitles replace ///
			mgroups("Child Average Test Scores (Year 2)", pattern(1 0)) ///
			drop(*dist* mauza* *ngo* _cons gov_S_above_60) ///
			rename(child_avg_theta1 baseline)  ///
			coeflabel(reportcard "Report Card (RC)" rc_gov "RC * Government (Gov)" ///
				rc_S_above_60 "RC * High Scoring School" S_above_60 "High Scoring School" ///
				rc_gov_S_above_60 "RC * Gov * High Scoring School" ///
				goodpriv_60 "High Scoring Private School" baseline "Baseline" ///
				gov "Gov" rc_goodpriv_60 "RC * High Scoring Private School") ///
			order(reportcard rc_gov rc_S_above_60 rc_gov_S_above_60 rc_goodpriv_60 ///
				S_above_60 gov goodpriv_60 baseline) ///
			stats(control r2 N badpriv1_60_c badpriv1_60_p goodpriv1_60_c goodpriv1_60_p ///
			goodgov1_60_c goodgov1_60_p badgov1_60_c badgov1_60_p ///
				bad_60_c bad_60_p good_60_c good_60_p gov_60_c gov_60_p basemean, ///
				label("Controls" "R-Squared" "Observations" "Low Scoring Private School" " " ///
					"High Scoring Private School" " " "High Scoring Gov School" " " ///
					"Low Scoring Gov School" " " ///
					"Low Scoring Private School" " " "High Scoring Private School" " " ///
					"Gov School" " " "Baseline Test Score (mean)") ///
				layout(@ @ @ @ [@] @ [@] @ [@] @ [@] @ [@] @ [@] @ [@] @))
					
	
	****************************************************************************
	* Table 7 - Quantity Heterogeneity *
	****************************************************************************
		
		use "../Data/aer_data_school.dta", clear

			eststo clear
		
				eststo, title("Primary Enrollment (Year 2)"): ///
				reg S_c15_enroll2 reportcard $interact_4type_60 S_c15_enroll1 ///
					$control i.district, cluster(mauzaid)
					predict yhat if e(sample)
					qui sum S_c15_enroll1 if yhat!=.
					estadd scalar basemean = `r(mean)'
					f_test_60
					estadd local control "Village"
			
				eststo, title("Tested Cohort Enrollment (Year 2)"): ///
				reg S_c4_enroll2 reportcard i.district $interact_4type_60 S_c3_enroll1 ///
					$control , cluster(mauzaid)
					predict yhat2 if e(sample)
					qui sum S_c3_enroll1 if yhat2!=.
					estadd scalar basemean = `r(mean)'
					f_test_60
					estadd local control "Village"

				eststo, title("Tested cohort children going into schools (Year 2)"): ///
				reg into_school reportcard i.district $interact_4type_60 $control S_c3_enroll1, cluster(mauzaid)
					f_test_60
					estadd local control "Village"


				eststo, title("Tested cohort children going out of schools (Year 2)"): ///
				reg out_school reportcard i.district $interact_4type_60 $control S_c3_enroll1, cluster(mauzaid)
					f_test_60
					estadd local control "Village"
					
				eststo, title("Private School Closure (Year 2)"): ///
				reg closed1 reportcard rc_goodpriv_60 goodpriv_60 $control ///
					i.district if school_type1==3, cluster(mauzaid)
				f_test_60
				estadd local control "Village"

				drop yhat yhat2 				
	
			esttab using Table7.csv, b se nostar label mtitles replace ///
				rename(S_c15_enroll1 baseline S_c3_enroll1 baseline) ///
				coeflabel(reportcard "Report Card (RC)" rc_gov "RC * Gov" ///
					goodpriv_60 "High Scoring Private School" baseline "Baseline Enrollment" ///
					gov "Government" rc_goodpriv_60 "RC * High Scoring Private School") ///
				order(reportcard gov goodpriv_60 rc_gov rc_goodpriv_60 baseline) ///
				drop(_cons *dist* $control *ngo*) ///
				stats(control N r2 ///
					bad_60_c bad_60_p good_60_c good_60_p gov_60_c gov_60_p basemean, ///
					label("Controls" "Observations" "R-Squared" "Low Scoring Private School" " " ///
					"High Scoring Private School" " " "Government School" " " "Baseline Depvar (mean)") ///
					layout(@ @ @ @ [@] @ [@] @ [@] @) fmt(%8.0f %8.0f %8.3f %8.3f %8.3f ///
					 %8.3f %8.3f  %8.3f %8.3f  %8.3f))


	****************************************************************************
	* Table 8 - Channels *
	****************************************************************************
		
		* School channels 
		
			use "../Data/aer_data_school", clear

			eststo clear	
					
				eststo, title("Percent of Teachers with at least Higher Secondary Degree"): ///
				reg ST_gmatric_perc2 reportcard $interact_4type_60 ST_gmatric_perc1 ///
					i.district $control if closed1!=1 & school_merged_into2==., cluster(mauzaid)
					predict yhat1 if e(sample)
					qui sum ST_gmatric_perc1 if yhat1!=.
					estadd scalar basemean = `r(mean)'
					f_test_60
			
				eststo, title("Break Time"): reg S_time22 S_time21 report $interact_4type_60 i.district ///
					$control if closed1!=1 & school_merged_into2==., cluster(mauzaid)
					predict yhat3 if e(sample)
					qui sum S_time21 if yhat3!=. 
					estadd scalar basemean = `r(mean)'
					f_test_60

				tab district, gen(dist)
				eststo, title("Basic Infrastructure (Avg Effect Size)"): ///
				avg_effect desk2 classrooms2_perchild totaltoilets2_perchild boards2_perchild ///
					if closed1!=1 & school_merged_into2==., x(reportcard $interact_4type_60 dist2 dist3 $control) ///
				effectvar(reportcard rc_goodpriv_60 rc_gov gov goodpriv_60) controltest(reportcard == 0) cluster(mauzaid) keep
					
					test ae_reportcard = 0
					estadd scalar bad_60_c = _coef[ae_reportcard]
					estadd scalar bad_60_p = `r(p)'

					test ae_reportcard + ae_rc_goodpriv_60 = 0
					estadd scalar good_60_c = _coef[ae_reportcard] + _coef[ae_rc_goodpriv_60]
					estadd scalar good_60_p = `r(p)'
				
					test ae_reportcard + ae_rc_gov = 0
					estadd scalar gov_60_c = _coef[ae_reportcard] + _coef[ae_rc_gov]
					estadd scalar gov_60_p = `r(p)'

	
				eststo, title("Extra Infrastructure (Avg Effect Size)"): ///
				avg_effect has_library2 has_comp2 has_sportsfac2 has_wall2 has_fans2 has_electricity2 if closed1!=1 & school_merged_into2==., ///
					x(reportcard $interact_4type_60 dist2 dist3 $control) ///
				effectvar(reportcard rc_goodpriv_60 rc_gov gov goodpriv_60) controltest(reportcard == 0) cluster(mauzaid) keep
					
					test ae_reportcard = 0
					estadd scalar bad_60_c = _coef[ae_reportcard]
					estadd scalar bad_60_p = `r(p)'

					test ae_reportcard + ae_rc_goodpriv_60 = 0
					estadd scalar good_60_c = _coef[ae_reportcard] + _coef[ae_rc_goodpriv_60]
					estadd scalar good_60_p = `r(p)'
				
					test ae_reportcard + ae_rc_gov = 0
					estadd scalar gov_60_c = _coef[ae_reportcard] + _coef[ae_rc_gov]
					estadd scalar gov_60_p = `r(p)'
				

		* Household channels
			
			use "../Data/aer_data_child", clear
				
				eststo, title("Parental Time on Education"): ///
				reg parent_time2 reportcard $interact_4type_60 parent_time1 ///
					$control i.district, cluster(mauzaid)
					predict yhat16 if e(sample)
					sum parent_time1 if yhat16!=. 
					estadd scalar basemean = `r(mean)'
					f_test_60
						
				eststo, title("Parental Spending on Education excl Fees"): ///
				reg nonfee2_spend2 reportcard $interact_4type_60 nonfee2_spend1 ///
					$control i.district, cluster(mauzaid)
					predict yhat18 if e(sample)
					qui sum nonfee2_spend1  if yhat18!=. 
					estadd scalar basemean = `r(mean)'
					f_test_60
					
				tab district, gen(dist)
				eststo, title("Parent-Teacher Interaction (Avg Effect Size)"): ///
				avg_effect hh_mettr2 hh_knowtrname2 hh_trreg2, x(reportcard $interact_4type_60 dist2 dist3 $control) ///
					effectvar(reportcard rc_goodpriv_60 rc_gov gov goodpriv_60) controltest(reportcard == 0) cluster(child_mauzaid) keep
				
					test ae_reportcard = 0
					estadd scalar bad_60_p = _coef[ae_reportcard]
					estadd scalar bad_60_c = `r(p)'

					test ae_reportcard + ae_rc_goodpriv_60 = 0
					estadd scalar good_60_c  = _coef[ae_reportcard] + _coef[ae_rc_goodpriv_60]
					estadd scalar good_60_p = `r(p)'
					
					test ae_reportcard + ae_rc_gov = 0
					estadd scalar gov_60_c = _coef[ae_reportcard] + _coef[ae_rc_gov]
					estadd scalar gov_60_p = `r(p)'
				
			esttab using Table8.csv, b se nostar label mtitles replace ///
				mgroups("Panel A: School Inputs (Year 2)" "Panel B: Household Inputs (Year 2)", ///
					pattern(1 0 0 0 1 0 0)) ///
				drop(mauza* *dist* _cons *ngo*) ///	
				rename(ae_reportcard reportcard ae_rc_goodpriv_60 rc_goodpriv_60 ///
					ae_rc_gov rc_gov ae_gov gov ae_goodpriv_60 goodpriv_60 ///
					parent_time1 baseline nonfee2_spend1 baseline  S_time21 baseline ST_gmatric_perc1 baseline) ///
				coeflabel(baseline "Baseline" reportcard "Report Card (RC)" ///
					rc_gov "RC * Government (Gov)" goodpriv_60 "High Scoring Private School"  ///
					gov "Gov" rc_goodpriv_60 "RC * High Scoring Private School") ///
				order(reportcard gov goodpriv_60 rc_gov rc_goodpriv_60 baseline) ///
				stats(r2 N bad_60_c bad_60_p good_60_c good_60_p gov_60_c gov_60_p basemean, ///
					label("R-Squared" "Observations" "Low Scoring Private School" " " ///
						"High Scoring Private School" " " "Government School" " " "Baseline Depvar (mean)") ///
					layout(@ @ @ [@] @ [@] @ [@] @))

	
				
			
			
